summaryrefslogtreecommitdiffstats
path: root/debian/ethtool.if-pre-up
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:50:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:50:41 +0000
commit08cc4337e234ec3c07753357e5614a3b56873f29 (patch)
treeb75a0caf4863df707c3ce453d6a3ddea712a22d6 /debian/ethtool.if-pre-up
parentAdding upstream version 1:6.1. (diff)
downloadethtool-debian.tar.xz
ethtool-debian.zip
Adding debian version 1:6.1-1.debian/1%6.1-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/ethtool.if-pre-up')
-rw-r--r--debian/ethtool.if-pre-up14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/ethtool.if-pre-up b/debian/ethtool.if-pre-up
new file mode 100644
index 0000000..398adae
--- /dev/null
+++ b/debian/ethtool.if-pre-up
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+ETHTOOL=/sbin/ethtool
+
+test -x $ETHTOOL || exit 0
+
+[ "$IFACE" != "lo" ] || exit 0
+
+# Gather together the mixed bag of settings applied with -s/--change
+SETTINGS="\
+${IF_ETHERNET_PORT:+ port $IF_ETHERNET_PORT}\
+${IF_DRIVER_MESSAGE_LEVEL:+ msglvl $IF_DRIVER_MESSAGE_LEVEL}\
+"
+[ -z "$SETTINGS" ] || $ETHTOOL --change "$IFACE" $SETTINGS